Package org.jbpm.services.task.impl.model

## Class NotificationImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.NotificationImpl_

- Direct Known Subclasses:
    `EmailNotificationImpl_`

      @Generated("org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class NotificationImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BUSINESS_ADMINISTRATORS` |
    `static javax.persistence.metamodel.ListAttribute<NotificationImpl,​OrganizationalEntityImpl>` | `businessAdministrators` |
    `static javax.persistence.metamodel.ListAttribute<NotificationImpl,​I18NTextImpl>` | `descriptions` |
    `static String` | `DESCRIPTIONS` |
    `static javax.persistence.metamodel.ListAttribute<NotificationImpl,​I18NTextImpl>` | `documentation` |
    `static String` | `DOCUMENTATION` |
    `static javax.persistence.metamodel.SingularAttribute<NotificationImpl,​Long>` | `id` |
    `static String` | `ID` |
    `static javax.persistence.metamodel.ListAttribute<NotificationImpl,​I18NTextImpl>` | `names` |
    `static String` | `NAMES` |
    `static javax.persistence.metamodel.SingularAttribute<NotificationImpl,​Integer>` | `priority` |
    `static String` | `PRIORITY` |
    `static javax.persistence.metamodel.ListAttribute<NotificationImpl,​OrganizationalEntityImpl>` | `recipients` |
    `static String` | `RECIPIENTS` |
    `static javax.persistence.metamodel.ListAttribute<NotificationImpl,​I18NTextImpl>` | `subjects` |
    `static String` | `SUBJECTS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotificationImpl_()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### names

          public static volatile javax.persistence.metamodel.ListAttribute<NotificationImpl,​I18NTextImpl> names

    - #### recipients

          public static volatile javax.persistence.metamodel.ListAttribute<NotificationImpl,​OrganizationalEntityImpl> recipients

    - #### documentation

          public static volatile javax.persistence.metamodel.ListAttribute<NotificationImpl,​I18NTextImpl> documentation

    - #### subjects

          public static volatile javax.persistence.metamodel.ListAttribute<NotificationImpl,​I18NTextImpl> subjects

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<NotificationImpl,​Long> id

    - #### priority

          public static volatile javax.persistence.metamodel.SingularAttribute<NotificationImpl,​Integer> priority

    - #### descriptions

          public static volatile javax.persistence.metamodel.ListAttribute<NotificationImpl,​I18NTextImpl> descriptions

    - #### businessAdministrators

          public static volatile javax.persistence.metamodel.ListAttribute<NotificationImpl,​OrganizationalEntityImpl> businessAdministrators

    - #### NAMES

          public static final String NAMES

      See Also:
        Constant Field Values

    - #### RECIPIENTS

          public static final String RECIPIENTS

      See Also:
        Constant Field Values

    - #### DOCUMENTATION

          public static final String DOCUMENTATION

      See Also:
        Constant Field Values

    - #### SUBJECTS

          public static final String SUBJECTS

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### PRIORITY

          public static final String PRIORITY

      See Also:
        Constant Field Values

    - #### DESCRIPTIONS

          public static final String DESCRIPTIONS

      See Also:
        Constant Field Values

    - #### BUSINESS_ADMINISTRATORS

          public static final String BUSINESS_ADMINISTRATORS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NotificationImpl_

          public NotificationImpl_()